HttpEndpointApiKeyAuthScopeConfig

class oci.generative_ai_agent.models.HttpEndpointApiKeyAuthScopeConfig(**kwargs)

Bases: HttpEndpointAuthScopeConfig

Specifies authentication using an API key injected either as a header or query parameter.

  • If authScope = AGENT: The API key is retrieved from OCI Vault using the agent’s identity.

Attributes:

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig.

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_BASIC_AUTH_SCOPE_CONFIG

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig.

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_BEARER_AUTH_SCOPE_CONFIG

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig.

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_IDCS_AUTH_SCOPE_CONFIG

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig.

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_NO_AUTH_SCOPE_CONFIG

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig.

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_OCI_AUTH_SCOPE_CONFIG

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig.

KEY_LOCATION_HEADER

A constant which can be used with the key_location property of a HttpEndpointApiKeyAuthScopeConfig.

KEY_LOCATION_QUERY_PARAMETER

A constant which can be used with the key_location property of a HttpEndpointApiKeyAuthScopeConfig.

http_endpoint_auth_scope_config_type

[Required] Gets the http_endpoint_auth_scope_config_type of this HttpEndpointAuthScopeConfig.

key_location

[Required] Gets the key_location of this HttpEndpointApiKeyAuthScopeConfig.

key_name

[Required] Gets the key_name of this HttpEndpointApiKeyAuthScopeConfig.

vault_secret_id

Gets the vault_secret_id of this HttpEndpointApiKeyAuthScopeConfig.

Methods:

__init__(**kwargs)

Initializes a new HttpEndpointApiKeyAuthScopeConfig object with values from keyword arguments.

get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG = 'HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG'

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig. This constant has a value of “HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG”

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_BASIC_AUTH_SCOPE_CONFIG = 'HTTP_ENDPOINT_BASIC_AUTH_SCOPE_CONFIG'

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig. This constant has a value of “HTTP_ENDPOINT_BASIC_AUTH_SCOPE_CONFIG”

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_BEARER_AUTH_SCOPE_CONFIG = 'HTTP_ENDPOINT_BEARER_AUTH_SCOPE_CONFIG'

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig. This constant has a value of “HTTP_ENDPOINT_BEARER_AUTH_SCOPE_CONFIG”

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_IDCS_AUTH_SCOPE_CONFIG = 'HTTP_ENDPOINT_IDCS_AUTH_SCOPE_CONFIG'

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig. This constant has a value of “HTTP_ENDPOINT_IDCS_AUTH_SCOPE_CONFIG”

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_NO_AUTH_SCOPE_CONFIG = 'HTTP_ENDPOINT_NO_AUTH_SCOPE_CONFIG'

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig. This constant has a value of “HTTP_ENDPOINT_NO_AUTH_SCOPE_CONFIG”

HTTP_ENDPOINT_AUTH_SCOPE_CONFIG_TYPE_HTTP_ENDPOINT_OCI_AUTH_SCOPE_CONFIG = 'HTTP_ENDPOINT_OCI_AUTH_SCOPE_CONFIG'

A constant which can be used with the http_endpoint_auth_scope_config_type property of a HttpEndpointAuthScopeConfig. This constant has a value of “HTTP_ENDPOINT_OCI_AUTH_SCOPE_CONFIG”

KEY_LOCATION_HEADER = 'HEADER'

A constant which can be used with the key_location property of a HttpEndpointApiKeyAuthScopeConfig. This constant has a value of “HEADER”

KEY_LOCATION_QUERY_PARAMETER = 'QUERY_PARAMETER'

A constant which can be used with the key_location property of a HttpEndpointApiKeyAuthScopeConfig. This constant has a value of “QUERY_PARAMETER”

__init__(**kwargs)

Initializes a new HttpEndpointApiKeyAuthScopeConfig object with values from keyword arguments. The default value of the http_endpoint_auth_scope_config_type attribute of this class is HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG and it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • http_endpoint_auth_scope_config_type (str) – The value to assign to the http_endpoint_auth_scope_config_type property of this HttpEndpointApiKeyAuthScopeConfig. Allowed values for this property are: “HTTP_ENDPOINT_NO_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_BASIC_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_BEARER_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_IDCS_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_OCI_AUTH_SCOPE_CONFIG”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

  • vault_secret_id (str) – The value to assign to the vault_secret_id property of this HttpEndpointApiKeyAuthScopeConfig.

  • key_location (str) – The value to assign to the key_location property of this HttpEndpointApiKeyAuthScopeConfig. Allowed values for this property are: “HEADER”, “QUERY_PARAMETER”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

  • key_name (str) – The value to assign to the key_name property of this HttpEndpointApiKeyAuthScopeConfig.

static get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

property http_endpoint_auth_scope_config_type

[Required] Gets the http_endpoint_auth_scope_config_type of this HttpEndpointAuthScopeConfig. The type of authentication to be applied for this HTTP Endpoint.

Allowed values for this property are: “HTTP_ENDPOINT_NO_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_BASIC_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_BEARER_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_API_KEY_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_IDCS_AUTH_SCOPE_CONFIG”, “HTTP_ENDPOINT_OCI_AUTH_SCOPE_CONFIG”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

Returns

The http_endpoint_auth_scope_config_type of this HttpEndpointAuthScopeConfig.

Return type

str

property key_location

[Required] Gets the key_location of this HttpEndpointApiKeyAuthScopeConfig. The location of the API key in the request.

Allowed values for this property are: “HEADER”, “QUERY_PARAMETER”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

Returns

The key_location of this HttpEndpointApiKeyAuthScopeConfig.

Return type

str

property key_name

[Required] Gets the key_name of this HttpEndpointApiKeyAuthScopeConfig. The name of the key parameter in the location.

Returns

The key_name of this HttpEndpointApiKeyAuthScopeConfig.

Return type

str

property vault_secret_id

Gets the vault_secret_id of this HttpEndpointApiKeyAuthScopeConfig. The OCID of the vault secret with API key. Required when authScope is AGENT.

Returns

The vault_secret_id of this HttpEndpointApiKeyAuthScopeConfig.

Return type

str